List Applications
List applications for the account, paginated.
List applications for the account. Results are paginated.
Scope: applications.read
Query Parameters
pageintegeroptionalPage number.
per_pageintegeroptionalItems per page (minimum 10, maximum 100).
Response
applicationsarrayoptionalList items, each with id, name, smtp_username, smtp_password, sending_key, authorized_domain_count, ip_block_count, outbound_ip_count, and notes.
totalintegeroptionalTotal number of applications.
pageintegeroptionalCurrent page.
per_pageintegeroptionalPage size.
total_pagesintegeroptionalTotal number of pages.
Sample Response
200 OK
{
"data": {
"applications": [
{
"id": 10,
"name": "My App",
"smtp_username": "app10",
"smtp_password": "...",
"sending_key": "roo_...",
"authorized_domain_count": 2,
"ip_block_count": 1,
"outbound_ip_count": 0,
"notes": ""
}
],
"total": 1,
"page": 1,
"per_page": 25,
"total_pages": 1
}
}